[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[or-cvs] r10124: Always give a shell (/bin/sh) when we use su(1) in our init (tor/branches/tor-0_1_2-patches/debian)
- To: or-cvs@xxxxxxxxxxxxx
- Subject: [or-cvs] r10124: Always give a shell (/bin/sh) when we use su(1) in our init (tor/branches/tor-0_1_2-patches/debian)
- From: weasel@xxxxxxxx
- Date: Sun, 6 May 2007 08:46:08 -0400 (EDT)
- Delivered-to: archiver@seul.org
- Delivered-to: or-cvs-outgoing@seul.org
- Delivered-to: or-cvs@seul.org
- Delivery-date: Sun, 06 May 2007 08:46:17 -0400
- Reply-to: or-dev@xxxxxxxxxxxxx
- Sender: owner-or-cvs@xxxxxxxxxxxxx
Author: weasel
Date: 2007-05-06 08:46:08 -0400 (Sun, 06 May 2007)
New Revision: 10124
Modified:
tor/branches/tor-0_1_2-patches/debian/changelog
tor/branches/tor-0_1_2-patches/debian/tor.init
Log:
Always give a shell (/bin/sh) when we use su(1) in our init script (closes: #421465)
Modified: tor/branches/tor-0_1_2-patches/debian/changelog
===================================================================
--- tor/branches/tor-0_1_2-patches/debian/changelog 2007-05-06 10:34:13 UTC (rev 10123)
+++ tor/branches/tor-0_1_2-patches/debian/changelog 2007-05-06 12:46:08 UTC (rev 10124)
@@ -1,3 +1,10 @@
+tor (0.1.2.13-3) unstable; urgency=low
+
+ * Always give a shell (/bin/sh) when we use su(1) in our init script
+ (closes: #421465).
+
+ -- Peter Palfrader <weasel@xxxxxxxxxx> Sun, 6 May 2007 14:44:11 +0200
+
tor (0.1.2.13-2) unstable; urgency=low
* In options_init_from_torrc()'s error path only config_free() options
Modified: tor/branches/tor-0_1_2-patches/debian/tor.init
===================================================================
--- tor/branches/tor-0_1_2-patches/debian/tor.init 2007-05-06 10:34:13 UTC (rev 10123)
+++ tor/branches/tor-0_1_2-patches/debian/tor.init 2007-05-06 12:46:08 UTC (rev 10124)
@@ -90,9 +90,9 @@
fi
echo "Starting $DESC: $NAME..."
- if ! su -c "$DAEMON --verify-config" debian-tor > /dev/null; then
+ if ! su -s /bin/sh -c "$DAEMON --verify-config" debian-tor > /dev/null; then
echo "ABORTED: Tor configuration invalid:" >&2
- su -c "$DAEMON --verify-config" debian-tor >&2
+ su -s /bin/sh -c "$DAEMON --verify-config" debian-tor >&2
exit 1
fi
@@ -131,9 +131,9 @@
exit 0
fi
- if ! su -c "$DAEMON --verify-config" debian-tor > /dev/null; then
+ if ! su -s /bin/sh -c "$DAEMON --verify-config" debian-tor > /dev/null; then
echo "ABORTED: Tor configuration invalid:" >&2
- su -c "$DAEMON --verify-config" debian-tor >&2
+ su -s /bin/sh -c "$DAEMON --verify-config" debian-tor >&2
exit 1
fi
@@ -148,9 +148,9 @@
fi
;;
restart)
- if ! su -c "$DAEMON --verify-config" debian-tor > /dev/null; then
+ if ! su -s /bin/sh -c "$DAEMON --verify-config" debian-tor > /dev/null; then
echo "Restarting Tor ABORTED: Tor configuration invalid:" >&2
- su -c "$DAEMON --verify-config" debian-tor >&2
+ su -s /bin/sh -c "$DAEMON --verify-config" debian-tor >&2
exit 1
fi